Bug 240516 - [git-webkit] ERROR: Unexpected diff format when parsing a chunk: '2.36.0'
Summary: [git-webkit] ERROR: Unexpected diff format when parsing a chunk: '2.36.0'
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: WebKit Nightly Build
Hardware: PC Linux
: P2 Normal
Assignee: Diego Pino
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2022-05-17 05:25 PDT by Michael Catanzaro
Modified: 2024-05-28 21:23 PDT (History)
4 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Catanzaro 2022-05-17 05:25:20 PDT
When running 'git-webkit pr' I see it print ERROR: Unexpected diff format when parsing a chunk: '2.36.0'. Not sure what's going on here.

$ git-webkit pr
'main' is not a pull request branch, enter issue URL or title of new issue: https://bugs.webkit.org/show_bug.cgi?id=240515
Switched to a new branch 'eng/GTK-Build-MiniBrowser-by-default'
Created the local development branch 'eng/GTK-Build-MiniBrowser-by-default'
branch 'main' set up to track 'origin/main'.
  Running status to find changed, added, or removed files.
  Reviewing diff to determine which lines changed.
  Extracting affected function names from source files.
  Change author: Michael Catanzaro <mcatanzaro@redhat.com>.
[eng/GTK-Build-MiniBrowser-by-default 21073145f0b4] [GTK] Build MiniBrowser by default https://bugs.webkit.org/show_bug.cgi?id=240515
 Date: Tue May 17 07:22:35 2022 -0500
 2 files changed, 10 insertions(+), 2 deletions(-)
remote: Enumerating objects: 353, done.
remote: Counting objects: 100% (353/353), done.
remote: Compressing objects: 100% (197/197), done.
remote: Total 353 (delta 158), reused 328 (delta 148), pack-reused 0
Receiving objects: 100% (353/353), 2.09 MiB | 13.36 MiB/s, done.
Resolving deltas: 100% (158/158), completed with 45 local objects.
From github.com:WebKit/WebKit
   648ca05a2c90..1d5e3b70369b  main       -> main
   648ca05a2c90..1d5e3b70369b  main       -> origin/main
From github.com:WebKit/WebKit
 * branch                      main       -> FETCH_HEAD
Successfully rebased and updated refs/heads/eng/GTK-Build-MiniBrowser-by-default.
Rewrite 1b0820bef8f714bb6574ab1eeb3cafd38ef50d5a (1/1) (0 seconds passed, remaining 0 predicted)    
WARNING: Ref 'refs/remotes/origin/main' is unchanged
Ref 'refs/heads/eng/GTK-Build-MiniBrowser-by-default' was rewritten
ERROR: Unexpected diff format when parsing a chunk: '2.36.0'
Total errors found: 0 in 2 files
Enumerating objects: 11, done.
Counting objects: 100% (11/11), done.
Delta compression using up to 32 threads
Compressing objects: 100% (6/6), done.
Writing objects: 100% (6/6), 712 bytes | 712.00 KiB/s, done.
Total 6 (delta 5), reused 0 (delta 0), pack-reused 0
remote: Resolving deltas: 100% (5/5), completed with 5 local objects.
remote: 
remote: Create a pull request for 'eng/GTK-Build-MiniBrowser-by-default' on GitHub by visiting:
remote:      https://github.com/mcatanzaro/WebKit/pull/new/eng/GTK-Build-MiniBrowser-by-default
remote: 
To github.com:mcatanzaro/WebKit.git
 * [new branch]                eng/GTK-Build-MiniBrowser-by-default -> eng/GTK-Build-MiniBrowser-by-default
Total 0 (delta 0), reused 0 (delta 0), pack-reused 0
To github.com:mcatanzaro/WebKit.git
   648ca05a2c90..1d5e3b70369b  main -> main
Created 'PR 671 | [GTK] Build MiniBrowser by default'!
Assigning associated issue to Michael Catanzaro <mcatanzaro@gnome.org>
Posted pull request link to https://bugs.webkit.org/show_bug.cgi?id=240515
https://github.com/WebKit/WebKit/pull/671
Comment 1 Radar WebKit Bug Importer 2022-05-24 05:26:15 PDT
<rdar://problem/93825248>
Comment 2 Kenneth Russell 2022-05-25 23:14:27 PDT
Something similar happened to me on macOS when a different version of git was on my $PATH than the one which ships with Xcode. Perhaps the script is overly strict.
Comment 3 Fujii Hironori 2022-05-25 23:22:08 PDT
git format-patch outputs a mbox format of a patch.
For example, my patch (attachment#459775 [details]) has my git version "2.25.1" in the last line.
Comment 4 Fujii Hironori 2022-05-25 23:41:51 PDT
If I have a local commit, check-style-local reports the error message.

$ ./Tools/Scripts/webkit-patch check-style-local
ERROR: Unexpected diff format when parsing a chunk: '2.25.1'
Total errors found: 0 in 1 files
Comment 5 Diego Pino 2022-06-10 06:12:40 PDT
Pull request: https://github.com/webkit/webkit/pull/1445
Comment 6 EWS 2022-06-10 19:45:34 PDT
Committed r295471 (251476@main): <https://commits.webkit.org/251476@main>

Reviewed commits have been landed. Closing PR #1445 and removing active labels.